<template>
  <nav class="nav">
    <div class="nav-wrap">
      <div>
        <span>Wo</span>
        <ul>
          <li>| <a href="#wo-standort">Standort</a></li>
        </ul>
      </div>
      <div>
        <span>Wann</span>
        <ul>
          <li>| <a href="#wann-oeffnungszeiten">Öffnungszeiten</a></li>
          <li>| <a href="#wann-historie">Historie</a></li>
        </ul>
      </div>
      <div>
        <span>Wer</span>
        <ul>
          <li>| <a href="#wer-team">Team</a></li>
        </ul>
      </div>
      <div>
        <span>Was</span>
        <ul>
          <li>| <a href="#was-aktuelles">Aktuelles</a></li>
          <li>| <a href="#was-produkte">Produkte</a></li>
          <li>| <a href="#was-fairlinks">Fairlinks</a></li>
        </ul>
      </div>
      <div>
        <span>Wie</span>
        <ul>
          <li>| <a href="#wie-mitmachen">Mitmachen</a></li>
        </ul>
      </div>
      <div>
        <span />
        <ul>
          <li>| <a href="#legal" data-popup-link>Impressum</a></li>
          <li>| <a href="#legal" data-popup-link>Datenschutz</a></li>
        </ul>
      </div>
    </div>
  </nav>
</template>

<style lang="scss" scoped>
.nav {
  display: flex;
  justify-content: center;
  .nav-wrap {
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    text-transform: uppercase;

    > div {
      display: flex;
      flex-wrap: wrap;
      margin: 1em 0;

      > span {
        margin-right: 1em;
        width: 60px;
        text-align: right;
        font-weight: 500;
      }
    }
  }

  ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
  }

  a {
    text-decoration: none;
  }
}
</style>
